#!/bin/bash

case "$1" in
field1)
echo -n "CPU-Temp.: "
sensors | grep -i 'CPU TEMP' | cut -c 10-18 | tr -d ' '
exit $?
;;
field2)
echo -n "M/B-TEMP:    "
sensors | grep -i 'M/B TEMP' | cut -c 10-18 | tr -d ' '
exit $?
;;
field3)
ADRESSE="$(ifconfig eth2 | head -n2 | grep "inet addr" | awk '{print $2}' | cut -d":" -f2)"
if [ -z "$ADRESSE" ]; then
echo "IP-Addr.:   NA"
else
echo "IP-Addr.:   "$ADRESSE
fi
exit $?
;;
field4)
VDR="$(vdr -V| grep vdr)"
if [ -z "$VDR" ]; then 
echo "VDR:   "Unknown
else
echo "VDR:   "$VDR
fi
exit $?
;;		
field5)
SYSF="$(df -h | grep sda1 | cut -c 33-38 | tr -d ' ')"
VIDF="$(df -h | grep sda4 | cut -c 33-38 | tr -d ' ')"
echo "Free Disk-Space:  Sys: "$SYSF"  Vid: "$VIDF
exit $?
;;		
*)
echo ""
echo "Usage: sysinfo.sh {field1-5}"
echo ""
exit 1
;;
esac
exit 0